libpst.so.4: pst_item_appointment Struct Reference

Main Page | Alphabetical List | Data Structures | Directories | File List | Data Fields | Globals

# pst_item_appointment Struct Reference

This contains the appointment related mapi elements. More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_item_appointment:

[legend]

## Data Fields
FILETIME * | start
| mapi element 0x820d PR_OUTLOOK_EVENT_START_DATE
FILETIME * | end
| mapi element 0x820e PR_OUTLOOK_EVENT_START_END
pst_string | location
| mapi element 0x8208 PR_OUTLOOK_EVENT_LOCATION
int | alarm
| mapi element 0x8503 PR_OUTLOOK_COMMON_REMINDER_SET 1 true 0 false
FILETIME * | reminder
| mapi element 0x8560
int32_t | alarm_minutes
| mapi element 0x8501 PR_OUTLOOK_COMMON_REMINDER_MINUTES_BEFORE
pst_string | alarm_filename
| mapi element 0x851f
pst_string | timezonestring
| mapi element 0x8234
int32_t | showas
| mapi element 0x8205 PR_OUTLOOK_EVENT_SHOW_TIME_AS 0 free 1 tentative 2 busy 3 out of office
int32_t | label
| mapi element 0x8214 0 None 1 Important 2 Business 3 Personal 4 Vacation 5 Must Attend 6 Travel Required 7 Needs Preparation 8 Birthday 9 Anniversary 10 Phone Call
int | all_day
| mapi element 0x8215 PR_OUTLOOK_EVENT_ALL_DAY 1 true 0 false
int | is_recurring
| mapi element 0x8223 PR_OUTLOOK_EVENT_IS_RECURRING 1 true 0 false
int32_t | recurrence_type
| mapi element 0x8231 0 none 1 daily 2 weekly 3 monthly 4 yearly
pst_string | recurrence_description
| mapi element 0x8232 recurrence description
pst_binary | recurrence_data
| mapi element 0x8216 recurrence data
FILETIME * | recurrence_start
| mapi element 0x8235 PR_OUTLOOK_EVENT_RECURRENCE_START
FILETIME * | recurrence_end
| mapi element 0x8236 PR_OUTLOOK_EVENT_RECURRENCE_END

## Detailed Description

This contains the appointment related mapi elements.

Definition at line 683 of file libpst.h.

## Field Documentation

int pst_item_appointment::alarm

| mapi element 0x8503 PR_OUTLOOK_COMMON_REMINDER_SET 1 true 0 false Definition at line 693 of file libpst.h.

pst_string pst_item_appointment::alarm_filename

| mapi element 0x851f Definition at line 699 of file libpst.h.

int32_t pst_item_appointment::alarm_minutes

| mapi element 0x8501 PR_OUTLOOK_COMMON_REMINDER_MINUTES_BEFORE Definition at line 697 of file libpst.h.

int pst_item_appointment::all_day

| mapi element 0x8215 PR_OUTLOOK_EVENT_ALL_DAY 1 true 0 false Definition at line 724 of file libpst.h.

FILETIME* pst_item_appointment::end

| mapi element 0x820e PR_OUTLOOK_EVENT_START_END Definition at line 687 of file libpst.h.

int pst_item_appointment::is_recurring

| mapi element 0x8223 PR_OUTLOOK_EVENT_IS_RECURRING 1 true 0 false Definition at line 728 of file libpst.h.

int32_t pst_item_appointment::label

| mapi element 0x8214 0 None 1 Important 2 Business 3 Personal 4 Vacation 5 Must Attend 6 Travel Required 7 Needs Preparation 8 Birthday 9 Anniversary 10 Phone Call Definition at line 720 of file libpst.h.

pst_string pst_item_appointment::location

| mapi element 0x8208 PR_OUTLOOK_EVENT_LOCATION Definition at line 689 of file libpst.h.

pst_binary pst_item_appointment::recurrence_data

| mapi element 0x8216 recurrence data Definition at line 739 of file libpst.h.

pst_string pst_item_appointment::recurrence_description

| mapi element 0x8232 recurrence description Definition at line 737 of file libpst.h.

FILETIME* pst_item_appointment::recurrence_end

| mapi element 0x8236 PR_OUTLOOK_EVENT_RECURRENCE_END Definition at line 743 of file libpst.h.

FILETIME* pst_item_appointment::recurrence_start

| mapi element 0x8235 PR_OUTLOOK_EVENT_RECURRENCE_START Definition at line 741 of file libpst.h.

int32_t pst_item_appointment::recurrence_type

| mapi element 0x8231 0 none 1 daily 2 weekly 3 monthly 4 yearly Definition at line 735 of file libpst.h.

FILETIME* pst_item_appointment::reminder

| mapi element 0x8560 Definition at line 695 of file libpst.h.

int32_t pst_item_appointment::showas

| mapi element 0x8205 PR_OUTLOOK_EVENT_SHOW_TIME_AS 0 free 1 tentative 2 busy 3 out of office Definition at line 707 of file libpst.h.

FILETIME* pst_item_appointment::start

| mapi element 0x820d PR_OUTLOOK_EVENT_START_DATE Definition at line 685 of file libpst.h.

pst_string pst_item_appointment::timezonestring

| mapi element 0x8234 Definition at line 701 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h